Bug 828176 - jboss-seam-parent-2.3.0.Beta2-redhat-1.pom doesn't define version.jbossas7
jboss-seam-parent-2.3.0.Beta2-redhat-1.pom doesn't define version.jbossas7
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
Unspecified Unspecified
urgent Severity high
: ---
: 2.0.0.ER8
Assigned To: Marek Novotny
Marek Schmidt
Depends On:
  Show dependency treegraph
Reported: 2012-06-04 08:17 EDT by Marek Schmidt
Modified: 2012-06-22 04:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-22 04:22:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marek Schmidt 2012-06-04 08:17:19 EDT
Building Seam2.3 examples in WFK 2.0.0.ER7 fails with:

[ERROR]   The project org.jboss.seam.examples-ee6:booking:2.3.0.Beta2-redhat-1 (/home/maschmid/testing/wfk/2.0.0.ER7/jboss-wfk-2.0.0.ER7/demo/jboss-seam-2.3.0.Beta2-redhat-1/examples/booking/pom.xml) has 1 error
[ERROR]     'dependencies.dependency.version' for org.jboss.as:jboss-as-arquillian-container-managed:jar must be a valid version but is '${version.jbossas7}'. @ org.jboss.seam:jboss-seam-parent:2.3.0.Beta2-redhat-1, /home/maschmid/.m2/repository/org/jboss/seam/jboss-seam-parent/2.3.0.Beta2-redhat-1/jboss-seam-parent-2.3.0.Beta2-redhat-1.pom, line 231, column 14

jboss-seam-parent-2.3.0.Beta2-redhat-1.pom doesn't define version.jbossas7.
Comment 1 Marek Novotny 2012-06-10 15:07:23 EDT
fixed by splitting out of jboss-seam-parent
Comment 2 Marek Schmidt 2012-06-12 10:31:02 EDT
verified on WFK 2.0.0.ER8, both Seam bom and parent now define <version.jbossas7>7.1.1.Final</version.jbossas7>

Note You need to log in before you can comment on or make changes to this bug.